This is a migrated thread and some comments may be shown as answers.
Unit test runner - all test aborted
7 Answers 26 Views
This is a migrated thread and some comments may be shown as answers.
This question is locked. New answers and comments are not allowed.
dp
Top achievements
Rank 1
dp asked on 04 Dec 2015, 05:54 PM

Yesterday all my unit tests stopped working. I cannot run any tests and all state that the are 'Aborted'.

This is for all my projects. I am running VS2015 and the only thing I can think of that has changed is there was an update for MVC 5 RC.

I am able to run my tests using the NUnitLite Runner. I am using JustCode 2016.1.1118.1

7 Answers, 1 is accepted

Sort by
0
Svetlozar
Telerik team
answered on 09 Dec 2015, 02:18 PM
Hi,

I am really sorry for the inconvenience!

Could you please try to isolate the problem in a simple self-contained solution and send it over? You can open a support ticket and attach it there.

Thank you in advance for your assistance!

Regards,
Svetlozar
Telerik
Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Feedback Portal and vote to affect the priority of the items
0
dp
Top achievements
Rank 1
answered on 09 Dec 2015, 02:35 PM
I've rolled back my nunit version to 2.5 and that has fixed the issue. I don't know why my nunit versions pushed forward past 2.5, but that is not a Telerik issue.
0
Svetlozar
Telerik team
answered on 12 Dec 2015, 01:39 PM
Hello,

I am glad you've resolved the issue. We will test with newer NUnit versions though.

Regards,
Svetlozar
Telerik
Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Feedback Portal and vote to affect the priority of the items
0
Darran
Top achievements
Rank 2
answered on 03 Feb 2016, 10:00 AM

Hi,

Just to let you know that we've also seen this issue and resolved it by referencing nunit 2.5 rather than 3.

My current JustCode is 2016.1.1305.2.

Cheers,

Darran

0
Nikolay Valchev
Telerik team
answered on 08 Feb 2016, 09:05 AM
Hello Darran,

Thank you for the feedback!
You are unable to run your tests using NUnit 3 because, currently, we support only v2.5 and v2.6.

Best Regards,
Nikolay Valchev
Telerik
Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Feedback Portal and vote to affect the priority of the items
0
Geoffrey Hudik
Top achievements
Rank 1
answered on 20 Sep 2016, 01:49 AM
Any idea when NUnit 3 might be supported? The final version of that has been out for about a year now.
0
Svetlozar
Telerik team
answered on 22 Sep 2016, 01:21 PM
Hi,

I am sorry, we don't have a specific milestone yet.

Regards,
Svetlozar
Telerik by Progress
Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Feedback Portal and vote to affect the priority of the items
Tags
General Discussions
Asked by
dp
Top achievements
Rank 1
Answers by
Svetlozar
Telerik team
dp
Top achievements
Rank 1
Darran
Top achievements
Rank 2
Nikolay Valchev
Telerik team
Geoffrey Hudik
Top achievements
Rank 1
Share this question
or